<div class="row">
    <div class="col-md-8">
        <div class="card">
            <div class="card-header pb-0">
                <div >                    
                    <%= link_to(players_path, class:"btn bg-gradient-primary ms-auto") do%>
                        <i class="fa fa-list-ol"></i>&nbsp;&nbsp;Players list
                    <%end%>
                </div>
            </div>
            <%= form_with(model: player) do |f| %>
              <% if player.errors.any? %>
                <div style="color: red">
                  <h2><%= pluralize(player.errors.count, "error") %> prohibited this event from being saved:</h2>

                  <ul>
                    <% player.errors.each do |error| %>
                      <li><%= error.full_message %></li>
                    <% end %>
                  </ul>
                </div>
              <% end %>

              <div class="card-body">                          
                  <div class="row">
                      <div class="col-md-8">
                          <div class="form-group">
                              <label for="example-text-input" class="form-control-label">Player name</label>                              
                              <%= f.text_field :name, class: 'form-control', :required => true, placeholder: "Name of the player {Juan Perez Lopez}" %>
                          </div>
                      </div>
                      <div class="col-md-8">
                          <div class="form-group">
                              <label for="example-text-input" class="form-control-label">Cellphone</label>                              
                              <%= f.text_field :cellphone, class: 'form-control', :required => true, placeholder: "This will be his identifier" %>
                          </div>
                      </div>
                      <div class="col-md-8">
                          <div class="form-group">
                              <label for="example-text-input" class="form-control-label">Category</label>
                              <%= f.select :category, options_for_select(Player::CATEGORY.collect { |category|
                                                                         [category.to_i.ordinalize] }, player.category), {}, {id: 'select2_category',class:"form-control m-b",  required: true} %>
                          </div>
                      </div>
                      <div class="col-md-8">
                          <div class="form-group">                                                                                                                        
                              <%= f.label "Left handed", "Left handed", value: "true"  %>
                              <%= f.radio_button :leftHanded, true %>
                              <%= f.label "Right handed", "Right handed", value: "false" %>
                              <%= f.radio_button :leftHanded, false, checked: true %>
                          </div>
                      </div>
                      <div class="col-md-8">
                          <div class="form-group">
                              <label for="example-text-input" class="form-control-label">Birth date</label>                              
                              <%= f.date_field :birthDate, class: 'form-control'%>
                          </div>
                      </div>
                      <div class="col-md-8">
                          <div class="form-group">
                              <label for="example-text-input" class="form-control-label">Photo</label>                              
                              <%= f.file_field :image, class: 'form-control'%>
                          </div>
                      </div>
                      <%= hidden_field_tag 'event_id', @event.nil? ? nil:@event.id  %>                        
                  </div>
                  <hr class="horizontal dark">
                  <div class="form-group">
                    <div class="col-sm-4 col-sm-offset-2">                      
                      <%= button_tag(type: 'submit', data: {turbo: false}, class: "btn bg-gradient-success ms-auto") do %>
                        Save&nbsp;&nbsp;<i class="fa fa-database"></i>
                      <% end %>
                    </div>
                  </div>
                  
              </div>
            <% end %>

        </div>
    </div>                
</div>
<script type="text/javascript">
  // In your Javascript (external .js resource or <script> tag)
  $(document).ready(function() {
      //$('.js-example-basic-single').select2();
      $('#select2_category').select2();      
  });
</script>
